Skip to main content
npayload is launching soon.
npayloadDocs
API ReferenceMessages

List messages

Returns messages published to the channel.

GET/v1/channels/{channelId}/messages

Authorization

ApiKeyAuth
AuthorizationBearer <token>

API key authentication. Keys are prefixed with environment:

  • npk_live_ for production
  • npk_test_ for testing/staging

In: header

Path Parameters

channelId*string

Channel ID

Query Parameters

cursor?string

Pagination cursor for next page

limit?integer

Maximum number of items to return

Default20
Range1 <= value <= 100
since?string

Only return messages after this timestamp

Formatdate-time
until?string

Only return messages before this timestamp

Formatdate-time

Response Body

application/json

application/json

application/json

curl -X GET "https://api.npayload.com/v1/channels/string/messages"
{
  "data": [
    {
      "id": "string",
      "channelId": "string",
      "eventType": "string",
      "payload": {},
      "metadata": {},
      "publishedAt": "2019-08-24T14:15:22Z",
      "deliveryStatus": "pending"
    }
  ],
  "pagination": {
    "cursor": "string",
    "hasMore": true
  }
}
{
  "error": {
    "code": "UNAUTHORIZED",
    "message": "Invalid or missing API key"
  }
}
{
  "error": {
    "code": "NOT_FOUND",
    "message": "Resource not found"
  }
}

Was this page helpful?